// BitmapDlg.h : header file
//

#if !defined(AFX_BITMAPDLG_H__E17B45C7_DEA9_11D6_9C4C_605A4BC10101__INCLUDED_)
#define AFX_BITMAPDLG_H__E17B45C7_DEA9_11D6_9C4C_605A4BC10101__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define OUT_DIR  "OUT\\"

/////////////////////////////////////////////////////////////////////////////
// CBitmapDlg dialog

class CBitmapDlg : public CDialog
{
// Construction
public:
	void DisplayImage(int width, int heigth, CString path);
	CBitmapDlg(CWnd* pParent = NULL);	// standard constructor

	void SaveFile(CString szFilename,BYTE* imageBuff=NULL);

	void ClearBitmapInfo();
	BOOL LoadImageData(CString bmpPath);

	COLORREF GetPixel(int row, int col);
	COLORREF GetPixel(BYTE *imageBuff, int row, int col);

	void SetPixel(int row, int col, COLORREF color);
	void SetPixel(BYTE *imageBuff, int row, int col, COLORREF color);

	CString GetFileName(CString strBmpPath);

	int m_bmpWidthBytes;
	CString m_strBmpPath;

	HBITMAP m_hBmp;
	HANDLE  m_hDibFile;
	//BITMAPINFO *lpbmi;
	BITMAPINFOHEADER *m_bmpIH;
	BITMAPFILEHEADER *m_bmpFH;
	BITMAPINFO *m_bmpI;

// Dialog Data
	//{{AFX_DATA(CBitmapDlg)
	enum { IDD = IDD_BITMAP_DIALOG };
	CStatic	m_picture;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBitmapDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CBitmapDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnButtonOpen();
	afx_msg void OnButtonGrayscale();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BITMAPDLG_H__E17B45C7_DEA9_11D6_9C4C_605A4BC10101__INCLUDED_)
